/* Turn intelligent calc off */
set updatecalc off;
/* Fix on Actual so that only one scenario is evaluated, otherwise a record for each scenario will be written and duplicated in the export */
Fix ("actual")	
       sales (         

            IF ("variance" < 0)  
			
		   /* 
		  *    Export to a DSN
		  *   arg 1:  specify "dsn" to export to a realtional DB
		  *   arg 2:  DSN name.  This DSN name must be used to close the connection after the calculation completes
		  *   arg 3:  leave blank when exporting to a RDB
		  *   arg 4:  table name
		  *   arg 5:  an array of member names
		  *   arg 6:  an array of data
		  */
		  @JExportTo("dsn","DemoCDF","","Output",@List(@NAME(@currmbr(PRODUCT)),@NAME(@currmbr(market)),@NAME(@currmbr(year)),@NAME(@currmbr(measures))),@LIST(actual,budget,Variance))  ;  
                 
		
             ENDIF; 
               
	)
endfix;        
/*
*
*	Clean up
*
*/

/*Close the connection to DSN*/
RUNJAVA com.hyperion.essbase.cdf.export.CloseTarget "dsn" "DemoCDF" ;
 
