/* Turn intelligent calc off */
set updatecalc off;
/* Fix on Actual so that only one scenario is evaluated, otherwise a record for each scenario will be written and duplicated in the export */
Fix ("actual")	

       sales (         

            IF ("variance"< 0)   
			
		   /* 
		  *    Export to a text file
		  *   arg 1:  specify "file" to export to a text file
		  *   arg 2:  file name.  This file name must be used to close the file after the calculation completes
		  *   arg 3:  delimiter.  Accepts "tab" for tab delimited
		  *   arg 4:  leave blank when exporting to text files
		  *   arg 5:  an array of member names
		  *   arg 6:  an array of data
		  */
		   @JExportTo("file","c:/flat.txt",",","",@List(@NAME(@currmbr(Market)),@NAME(@currmbr(Product)),@NAME(@currmbr(measures)),@NAME(@currmbr(year))), @LIST(actual,budget,Variance) ) ;     
        	   

		   
		
             ENDIF; 
               
	)
        
EndFix;
/*
*
*	Clean up
*
*/
/*Close the file*/
RUNJAVA com.hyperion.essbase.cdf.export.CloseTarget "file" "c:/flat.txt" ;
