package com.hyperion.essbase.cdf.export;

import java.util.*;
/**
 * Title:        Add Line
 * Description:  Adds a Line to the file
 * Copyright:
 * Company:      Hyperion Solutions
 * @author:      Toufic Wakim
 * @version 2.0
 * Disclaimer: use provided functions at your own risk. Hyperion Solutions Corp. is not liable for any
  damage, direct or indirect, associated with the use of the supplied functions.
 */

public class AddLine {

  public static void main(com.hyperion.essbase.calculator.Context ctx,String[] args) {

      if (args.length == 9 ) {

          ExportTo.ExportToTarget(args[0],args[1],args[2],args[3],args[4],
                                  stringToStringArray(args[5],","),
                                  stringTodoubleArray(args[6],","),
                                  stringTointArray(args[7],","),
                                  stringToStringArray(args[8],","));
      } else if (args.length == 3 ) {
      		if (args[0].equalsIgnoreCase("file"))
				ExportTo.ExportLineToFile(args[1],args[2]);
      }
  }

  static int[] stringTointArray(String wordString, String delim) {

    int i = 0;     // index into the next empty array element
    //--- Declare and create a StringTokenizer
    StringTokenizer st;
    st = new StringTokenizer(wordString,delim);
    int[] result;
    //--- Create an array which will hold all the tokens.
    result = new int[st.countTokens()];
    //--- Loop, getting each of the tokens
    while (st.hasMoreTokens()) {
       result[i++] = Integer.parseInt(st.nextToken());
    }
    return result;
}
static String[] stringToStringArray(String wordString, String delim) {

    int i = 0;     // index into the next empty array element

    //--- Declare and create a StringTokenizer
    StringTokenizer st;
    st = new StringTokenizer(wordString,delim);

    String[] result;
    //--- Create an array which will hold all the tokens.
    result = new String[st.countTokens()];
    //--- Loop, getting each of the tokens
    while (st.hasMoreTokens()) {
        result[i++] = st.nextToken();
    }
    return result;
}

static double[] stringTodoubleArray(String wordString, String delim) {

    int i = 0;     // index into the next empty array element
    //--- Declare and create a StringTokenizer
    StringTokenizer st;
    st = new StringTokenizer(wordString,delim);
    double[] result;
    //--- Create an array which will hold all the tokens.
    result = new double[st.countTokens()];
    //--- Loop, getting each of the tokens
    while (st.hasMoreTokens()) {
        result[i++] = Double.parseDouble(st.nextToken());
    }
    return result;
}
}