package com.hyperion.essbase.cdf.export;

/**
 * Title:        Close Target
 * Description:  Close files or open dsn connections
 * Copyright:
 * Company:      Hyperion Solutions
 * @author:      Toufic Wakim
 * @version 2.0
 * Disclaimer: use provided functions at your own risk. Hyperion Solutions Corp. is not liable for any
  damage, direct or indirect, associated with the use of the supplied functions.
 */

public class CloseTarget {

  public static void main(com.hyperion.essbase.calculator.Context ctx,String[] args) {

      if (args.length>0 ) {

          if (args[0].equalsIgnoreCase("file")) {
              for (int i=1;i<args.length ;i++){
                  ExportTo.closeFiles(args[i]);
              }
          } else if (args[0].equalsIgnoreCase("rdb") || args[0].equalsIgnoreCase("dsn")) {
              for (int i=1;i<args.length ;i++){
                  ExportTo.disconnectFromDSN(args[i]);
              }
          }
      }
  }

}