package com.hyperion.essbase.cdf.export;

import java.text.*;
import java.util.*;


/**
 * Title:        RoundDouble
 * Description:
 * Copyright:
 * Company:      Hyperion Solutions
 * @author:      Toufic Wakim
 * @version 2.0
 * Disclaimer: use provided functions at your own risk. Hyperion Solutions Corp. is not liable for any
  damage, direct or indirect, associated with the use of the supplied functions.
 */

public class RoundDouble {


  public String getRoundAsString(double num,int decimalPoints) {
        Locale currentLocale=new Locale("en","US");
        NumberFormat nf = NumberFormat.getNumberInstance(currentLocale);
        DecimalFormat df = (DecimalFormat)nf;
        String pattern=null;


        if (decimalPoints<0) {
            return String.valueOf(num);
        } else {
          if (decimalPoints>0) {
            pattern="##0.";
            for (int i=0;i<decimalPoints;i++) {
              pattern=pattern.concat("0");
            }
          } else {

            pattern="##0";
          }
          df.applyPattern(pattern);
          return df.format(num)  ;


        }

  }

   public double round(double num,int decimalPoints) {

        return Double.parseDouble(getRoundAsString(num,decimalPoints) );
  }
}