/* Turn intelligent calc off */
set updatecalc off;
/* Fix on Actual so that only one scenario is evaluated, otherwise a record for each scenario will be written and duplicated in the export */
Fix ("actual")				
	sales (         

            IF ("variance" < 0)  
			
		  /* 
		  *    Export to a JDBC driver
		  *   arg 1:  specify "jdbc" to export to a realtional DB
		  *   arg 2:  Target name.  This name is the prefix of the target in the rdb.properties file.  It must be used to close the connection after the calculation completes
		  *   arg 3:  leave blank when exporting to a RDB
		  *   arg 4:  table name
		  *   arg 5:  an array of member names
		  *   arg 6:  an array of data
		  */
		  @JExportTo("jdbc","TargetSQL","","Output",@List(@NAME(@currmbr(PRODUCT)),@NAME(@currmbr(market)),@NAME(@currmbr(year)),@NAME(@currmbr(measures))),@LIST(actual,budget,Variance))  ;   
        
		
             ENDIF; 
               
	)
   ENDFIX;
/*
*
*	Clean up
*
*/


/*Close the JDBC connection*/
RUNJAVA com.hyperion.essbase.cdf.export.CloseTarget "rdb" "TargetSQL" ;
 
